Loading...
Searching...
No Matches
casacore::MSSelectionSpwWarning Class Reference

`#include <MSSelectionError.h>`

## Public Member Functions

| MSSelectionSpwWarning (const String &message, Category c=GENERAL)
| ~MSSelectionSpwWarning () noexcept
Public Member Functions inherited from casacore::MSSelectionSpwError
| MSSelectionSpwError (const String &message, Category c=GENERAL)
| Add given message to string "MSSelection time error: ".
| ~MSSelectionSpwError () noexcept
Public Member Functions inherited from casacore::MSSelectionError
| MSSelectionError (Category c=GENERAL)
| The default constructor generates the message "Table error".
void | changeMessage (String &message)
| Construct with given message.
void | addMessage (String &message)
void | reset ()
| MSSelectionError (const String &message, Category c=GENERAL)
| ~MSSelectionError () noexcept
Public Member Functions inherited from casacore::AipsError
virtual const char * | what () const noexcept
| Simply returns the stored error message.
const String & | getMesg () const
String | getStackTrace () const
AipsError::Category | getCategory () const
void | setMessage (const String &msg) const
| Append a message.
| AipsError (const Char *str, Category c=GENERAL)
| Creates an AipsError and initializes the error message from the parameter.
| AipsError (const String &str, Category c=GENERAL)
| AipsError (const String &msg, const String &filename, uInt lineNumber, Category c=GENERAL)
| AipsError (Category c=GENERAL)
| ~AipsError () noexcept
| Destructor which does nothing.

## Additional Inherited Members

Public Types inherited from casacore::AipsError
enum | Category { BOUNDARY , INITIALIZATION , INVALID_ARGUMENT , CONFORMANCE , ENVIRONMENT , SYSTEM , PERMISSION , GENERAL }
Static Public Member Functions inherited from casacore::AipsError
static void | getLastInfo (String &message, String &stackTrace)
| Get or clear the stacktrace info.
static String | getLastMessage ()
static String | getLastStackTrace ()
static void | clearLastInfo ()
static AipsError | repackageAipsError (AipsError &error, const String &message, const char *file, Int line, const char *func)
| Repackage an exception.
static void | throwIf (Bool condition, const String &message, const char *file, Int line, const char *func="")
| Throw if the condition is true.
static void | throwIfError (Int errorCode, const String &prefix, const char *file, Int line, const char *func="")
| Throw if the system error code is not 0.
Public Attributes inherited from casacore::MSSelectionError
Bool | hasMessage
Protected Member Functions inherited from casacore::AipsError
void | addStackTrace ()
| Add the stack trace to the message (if USE_STACKTRACE is set).
Protected Attributes inherited from casacore::AipsError
String | message
Category | category
String | stackTrace

## Detailed Description

Definition at line 182 of file MSSelectionError.h.

## Constructor & Destructor Documentation

## MSSelectionSpwWarning()

casacore::MSSelectionSpwWarning::MSSelectionSpwWarning | ( | const String & | message,
|  | Category | c = GENERAL )

References casacore::AipsError::GENERAL, and casacore::AipsError::message.

## ~MSSelectionSpwWarning()

casacore::MSSelectionSpwWarning::~MSSelectionSpwWarning | ( |  | ) |

noexcept

The documentation for this class was generated from the following file:

- ms/MSSel/MSSelectionError.h